package info.bukova.isspst.services.requirement;

import java.util.List;

import info.bukova.isspst.data.TripRequirement;
import info.bukova.isspst.data.User;
import info.bukova.isspst.services.Service;

public interface TripRequirementService extends Service<TripRequirement> {
	
	public List<TripRequirement> getCentreReq();
	public List<TripRequirement> getWorkgroupReq();
	public List<TripRequirement> getFromAll();
	public void loadAuthItems(TripRequirement entity);
	public List<User> getNextApprover(TripRequirement entity);
	public boolean canApprove(TripRequirement entity);
	public void approve(TripRequirement entity);

}
