package info.bukova.isspst.ui.requirement;

import java.util.List;

import org.zkoss.bind.annotation.Init;
import org.zkoss.zk.ui.select.annotation.WireVariable;

import info.bukova.isspst.data.TripRequirement;
import info.bukova.isspst.data.Workgroup;
import info.bukova.isspst.services.users.UserService;
import info.bukova.isspst.services.workgroups.WorkgroupService;
import info.bukova.isspst.ui.FormViewModel;

public class TripRequirementForm extends FormViewModel<TripRequirement> {
	
	@WireVariable
	private UserService userService;

	@WireVariable
	private WorkgroupService workgroupService;
	
	private List<Workgroup> centres;
	
	@Init(superclass = true)
	public void init() {
		centres = workgroupService.getUserCentres(userService.getCurrent());
	}
	
	public List<Workgroup> getCentres() {
		return centres;
	}

}
